Cisco warns of more router vulnerabilities

Cisco has reported two vulnerabilities affecting a feature designed to protect software being used in the networking giant's widely deployed switchers and routers.

According a company advisory issued Tuesday, the IPS component of Cisco’s IOS (internetworking operating system), the more serious of the two flaws may allow malicious traffic to be delivered as IP packets to bypass signature detection.

"This could allow protected systems to be covertly attacked," the advisory said.

The other vulnerability could lead to a DoS condition and a system crash if certain network traffic uses the "regular expression feature of the ATOMIC.TCP signature engine."

Vulnerability tracking firm Secunia rated the two bugs "moderately critical" today.

In lieu of a patch, Cisco said there is a mitigation and workaround, respectively, for the two vulnerabilities.

The IPS detects for and attempts to block malicious traffic in real time. IOS software is largely used in Cisco routers and switches. The vulnerable IOS versions are 12.3 and 12.4.

Cisco also reported today numerous vulnerabilities impacting its PIX (private internet exchange), ASA (adaptive security appliance), and FWSM (firewall services module) products. Only one of the flaws could lead to the remote execution of code, the company said in another advisory.

Sign up to our newsletters